### Enumeration

# GObject ConnectFlags

#### Declaration

    flags GObject.ConnectFlags

#### Description [src]

The connection flags are used to specify the behaviour of a signal’s connection.

#### Members

`G_CONNECT_DEFAULT`

  Default behaviour (no special flags). Since: 2.74.

  - Value: `0`
  - Available since: 2.0
`G_CONNECT_AFTER`

  If set, the handler should be called after the default handler of the signal. Normally, the handler is called before the default handler.

  - Value: `1`
  - Available since: 2.0
`G_CONNECT_SWAPPED`

  If set, the instance and data should be swapped when calling the handler; see `g_signal_connect_swapped()` for an example.

  - Value: `2`
  - Available since: 2.0